Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513813 - gnome-shell[1802]: segfault and lost all sessions after relogin
Summary: gnome-shell[1802]: segfault and lost all sessions after relogin
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 02:23 UTC by Xiao, Liang
Modified: 2018-11-30 20:48 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:48:21 UTC


Attachments (Terms of Use)
gnome-shell dmesg log (deleted)
2017-11-16 02:24 UTC, Xiao, Liang
no flags Details
jounal log (deleted)
2017-11-16 15:16 UTC, Xiao, Liang
no flags Details
bactrace of gnome-shell (deleted)
2017-11-17 03:06 UTC, Xiao, Liang
no flags Details
gnome-shell full backtrace file (deleted)
2017-11-17 03:16 UTC, Xiao, Liang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1469129 None CLOSED Crashes when setting the label of invalid StLabel objects 2019-04-09 08:03:36 UTC

Internal Links: 1469129

Description Xiao, Liang 2017-11-16 02:23:49 UTC
Description of problem:
Upgrade system to Fedora27 from Fedora26 and no error/failure/error during upgrading.

Bug gnome-shell frequently crash and requires re-login.
All work sessions are closed after I login back, like shell terminal, notes, firefox......

dmesg:
[  180.091316] show_signal_msg: 4 callbacks suppressed
[  180.091318] gnome-shell[1802]: segfault at ffffffff000000ff ip 00007f7aa44e55a2 sp 00007fffeb74b480 error 5 in libgobject-2.0.so.0.5400.2[7f7aa44b0000+51000]
[  180.874545] rfkill: input handler enabled
[  190.038383] rfkill: input handler disabled


Version-Release number of selected component (if applicable):
4.13.12-300.fc27.x86_64

How reproducible:
80%

Steps to Reproduce:
1. Upgrade to Fedora27.
2. Do some operation, like ssh to other system, vim edit file, firefox open website.
3. Continue to use it or lock the screen, you can see gnome-shell crashes. 


Actual results:

gnome session reset and all working session lost.
Expected results:
Should not have such crash.

Additional info:

HW: Lenovo T460s

Comment 1 Xiao, Liang 2017-11-16 02:24:49 UTC
Created attachment 1353166 [details]
gnome-shell dmesg log

Comment 2 Xiao, Liang 2017-11-16 05:10:36 UTC
Update more log:
After lock screen for a while(~20 mins), all sessions are closed after login again.

[ 1656.447269] virbr0: topology change detected, propagating
[ 4912.213917] traps: gnome-shell[3574] general protection ip:7fdf10a1c5a2 sp:7ffd8fb9b340 error:0 in libgobject-2.0.so.0.5400.2[7fdf109e7000+51000]
[ 4913.793286] rfkill: input handler enabled
[ 8163.908950] rfkill: input handler disabled
[10690.353453] traps: gnome-shell[19479] general protection ip:7f26450455cd sp:7ffd813445a0 error:0 in libgobject-2.0.so.0.5400.2[7f2645010000+51000]
[10691.142359] rfkill: input handler enabled
[10700.161108] rfkill: input handler disabled

Comment 3 Bastien Nocera 2017-11-16 12:49:01 UTC
We need at least the gnome-shell and mutter versions, and the backtrace from the crash (which should be in the journal, in in abrt).

Comment 4 Xiao, Liang 2017-11-16 15:16:45 UTC
Created attachment 1353560 [details]
jounal log

Comment 5 Xiao, Liang 2017-11-16 15:19:20 UTC
Thanks for looking into this issue, I can reproduce this bug by doing lock and unlock screen most of time. 

$ rpm -qa|grep gnome-shell
gnome-shell-extension-window-list-3.26.2-1.fc27.noarch
gnome-shell-extension-apps-menu-3.26.2-1.fc27.noarch
gnome-shell-3.26.2-1.fc27.x86_64
gnome-shell-extension-alternate-tab-3.26.2-1.fc27.noarch
gnome-shell-extension-places-menu-3.26.2-1.fc27.noarch
gnome-shell-extension-launch-new-instance-3.26.2-1.fc27.noarch
gnome-shell-extension-common-3.26.2-1.fc27.noarch
$ rpm -qa|grep mutter
mutter-3.26.2-1.fc27.x86_64

Comment 6 Adam Williamson 2017-11-16 17:09:34 UTC
The journal doesn't have the full traceback; can you run the app called 'Problem Reporting' and see if you can find the crash there, and report it to bugzilla?

Also, can you try disabling each extension in turn and see if one of them seems to be triggering the crashes?

Bastien, there's at least this much in the journal:

Nov 16 23:05:00 localhost gnome-shell[1634]: shell_network_agent_respond: assertion 'request != NULL' failed
Nov 16 23:05:00 localhost gnome-shell[1634]: g_source_remove: assertion 'tag > 0' failed
Nov 16 23:05:01 localhost audit[1634]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=1634 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=11 res=1
Nov 16 23:05:01 localhost kernel: show_signal_msg: 4 callbacks suppressed
Nov 16 23:05:01 localhost kernel: gnome-shell[1634]: segfault at 1 ip 00007f44683a85a2 sp 00007ffc21d0de10 error 4 in libgobject-2.0.so.0.5400.2[7f4468373000+51000]

not sure if that's enough to be going on, though.

Comment 7 Xiao, Liang 2017-11-17 03:06:21 UTC
Created attachment 1353959 [details]
bactrace of gnome-shell

Comment 8 Xiao, Liang 2017-11-17 03:10:11 UTC
Please refer to below link, let me know if more debug info needed. Thanks
https://retrace.fedoraproject.org/faf/reports/1927162/

Comment 9 Xiao, Liang 2017-11-17 03:16:00 UTC
Created attachment 1353961 [details]
gnome-shell full backtrace file

Comment 10 Adam Williamson 2017-11-17 04:30:16 UTC
Thanks...that looks like it may be the same as https://bugzilla.redhat.com/show_bug.cgi?id=1469129 , but I'm not 100% sure, so I'll set a 'see also' and let the devs decide.

Comment 11 adrianobragas 2017-11-24 11:03:02 UTC
A feedback.
I deactivated all the gnome-shell extensions I had added, such as alternate tab and pomodoro.
I only kept the "dash to dock" extension enabled.
Everything seems to turn well now, I have not received any crashes.

Comment 12 Xiao, Liang 2017-11-28 05:16:17 UTC
(In reply to adrianobragas from comment #11)
> A feedback.
> I deactivated all the gnome-shell extensions I had added, such as alternate
> tab and pomodoro.
> I only kept the "dash to dock" extension enabled.
> Everything seems to turn well now, I have not received any crashes.

Cool! I only enabled VPN Indicator GNOME Shell Extension to display vpc connection status, I removed it and looks the crash was gone.

Comment 13 Xiao, Liang 2017-11-28 07:09:54 UTC
Unfortunately, it crashed again, but the possibility is very low now.

Comment 14 kong 2017-12-07 14:20:31 UTC
Yes , it crashes several times whole a day after i upgrade to 27 till now.

[25851.416442] gnome-shell[4001]: segfault at 737500727400 ip 00007faf499e75a2 sp 00007fff8cc18bc0 error 4 in libgobject-2.0.so.0.5400.2[7faf499b2000+51000]
[34219.821023] gnome-shell[9038]: segfault at 10916 ip 00007f650eaa65cd sp 00007ffc5b4dd3f0 error 4 in libgobject-2.0.so.0.5400.2[7f650ea71000+51000]
[34228.210687] gnome-shell[10568]: segfault at fe000000f9 ip 00007f3fde0e95a2 sp 00007fff6f9505e0 error 4 in libgobject-2.0.so.0.5400.2[7f3fde0b4000+51000]
[34229.728406] rfkill: input handler enabled
[34230.226192] Chrome_~dThread[3578]: segfault at 0 ip 00007f8916dfbbf3 sp 00007f89135c9b10 error 6 in libxul.so[7f89168e8000+4c70000]

Comment 15 Ben Cotton 2018-11-27 16:20:18 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 20:48:21 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.